Frequently Asked Questions

Quick Blogcast System Requirements

Last Updated: June 25, 2007 11:38 AM

For Building a Blog Using Quick Blog

With Quick Blogcast you can design, build, and manage your blogcast online; all you need is an Internet connection and a Web browser.

To use Quick Blogcast to build your blogcast site, please ensure you are using the Microsoft® Internet Explorer 6.0 or later Web browser (v7.0 recommended), or FireFox™ V2.0. Quick Blog is not available for use with the Safari™ or Internet Explorer for Mac browsers when building your site.

While your specific computer hardware and the type of Internet connection you use play a big role in how fast or slow any Web application works, Quick Blogcast can be used on virtually any system, regardless of the type of Internet connection you use. Quick Blogcast works with dial-up, DSL, or high-speed Internet connections.

For Viewing a Blogcast Created Using Quick Blogcast

Your blogcast is rendered so that it can be viewed by any of the following Web browsers, regardless of the platform you used when building your blogcast, including:

NOTE: Beta versions may not work properly with Quick Blogcast.

PC Users:

  • America Online® 7.0 or later
  • MSN® 8.0 or later
  • Internet Explorer v6.0 or later
  • Firefox™ v2.0
  • or any number of common Web browsers

Mac Users:

  • Safari™
  • Internet Explorer for Mac
  • Firefox for Mac

NOTE: If you are a subscriber to AOL®, Earthlink®, or any other service that provides a unique browser for you to access the Internet, we suggest you minimize your primary browser and open Internet Explorer to access and work in Quick Blog.